> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Brief shaping-log live socket

GET /api/projects/{projectId}/briefs/{briefId}/ws

WebSocket upgrade endpoint. Authenticated by a signed `ticket` query parameter, not a Bearer token.

Reference: https://docs.cloudraker.com/api/raker-one-api/briefs/get-projects-by-project-id-briefs-by-brief-id-ws

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: RakerOne API
  version: 1.0.0
paths:
  /projects/{projectId}/briefs/{briefId}/ws:
    get:
      operationId: get-projects-by-project-id-briefs-by-brief-id-ws
      summary: Brief shaping-log live socket
      description: >-
        WebSocket upgrade endpoint. Authenticated by a signed `ticket` query
        parameter, not a Bearer token.
      tags:
        - subpackage_briefs
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
        - name: briefId
          in: path
          required: true
          schema:
            type: string
        - name: ticket
          in: query
          description: Signed ticket from the matching `…/ws-ticket` endpoint.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: /api
    description: Current origin
  - url: https://app.raker.one/api
    description: Production
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Machine-readable error code (e.g. `invalid_body`, `not_found`).
        issues:
          type: array
          items:
            description: Any type
          description: Schema-validation issues, present when `error` is `invalid_body`.
      required:
        - error
      description: Standard API error response.
      title: ErrorResponse

```

## Examples



**SDK Code**

```python
import requests

url = "https://api/projects/projectId/briefs/briefId/ws"

querystring = {"ticket":"ticket"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api/projects/projectId/briefs/briefId/ws?ticket=ticket';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api/projects/projectId/briefs/briefId/ws?ticket=ticket"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/projects/projectId/briefs/briefId/ws?ticket=ticket")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api/projects/projectId/briefs/briefId/ws?ticket=ticket")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api/projects/projectId/briefs/briefId/ws?ticket=ticket');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/projects/projectId/briefs/briefId/ws?ticket=ticket");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api/projects/projectId/briefs/briefId/ws?ticket=ticket")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```